
Summary: Distributed SSL session cache
Name: distcache
Version: 1.4.5
Release: 6
License: LGPL
Group: System Environment/Daemons
URL: http://www.distcache.org/
Source0: %{name}-%{version}.tar.bz2
Patch0: distcache-1.4.5-setuid.patch
Source1: dc_server.init
Source2: dc_client.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake >= 1.7, autoconf >= 2.50, libtool, openssl-devel
Requires: /sbin/chkconfig

%description
The distcache package provides a variety of functionality for
enabling a network-based session caching system, primarily for
(though not restricted to) SSL/TLS session caching.

%package devel
Group: Development/Libraries
Summary: Development tools for distcache distributed session cache
Requires: distcache = %{version}

%description devel
This package includes the libraries that implement the necessary
network functionality, the session caching protocol, and APIs for
applications wishing to use a distributed session cache, or indeed
even to implement a storage mechanism for a session cache server.

%prep
%setup -q
%patch0 -p1 -b .setuid

%build
libtoolize --force --copy && aclocal && autoconf
automake -aic --gnu || : automake ate my hamster
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make -C ssl install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/dc_server.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/dc_server
install -m 755 $RPM_SOURCE_DIR/dc_client.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/dc_client

mkdir -p $RPM_BUILD_ROOT%{_sbindir}

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_bindir}/{nal_test,piper}

%post
/sbin/chkconfig --add dc_server
/sbin/chkconfig --add dc_client
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
	/sbin/service dc_server stop > /dev/null 2>&1
	/sbin/service dc_client stop > /dev/null 2>&1
	/sbin/chkconfig --del dc_server
	/sbin/chkconfig --del dc_client
fi

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/sslswamp
%{_bindir}/dc_*
%{_sysconfdir}/rc.d/init.d/dc_*
%doc ANNOUNCE CHANGES README LICENSE FAQ
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/swamp

%files devel
%defattr(-,root,root,-)
%{_includedir}/distcache
%{_includedir}/libnal
%{_libdir}/*.*a
%{_libdir}/*.so
%{_mandir}/man2/*

%changelog
* Tue Aug 31 2004 Joe Orton <jorton@redhat.com> 1.4.5-6
- move ldconfig from preun to postun (#131289)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 17 2004 Joe Orton <jorton@redhat.com> 1.4.5-4
- run ldconfig in %%post and %%postun

* Sun May  2 2004 Joe Orton <jorton@redhat.com> 1.4.5-3
- add BuildRequires: openssl-devel (#122265)

* Tue Apr 13 2004 Joe Orton <jorton@redhat.com> 1.4.5-2
- dc_client: go setuid later (#120711)

* Tue Apr  6 2004 Joe Orton <jorton@redhat.com> 1.4.5-1
- update to 1.4.5 (#119135)
- include sslswamp
- build shared libraries

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 21 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jan 25 2004 Joe Orton <jorton@redhat.com> 0.4.2-9
- add BuildRequires (#114115)
- add config lines to init scripts

* Tue Jan 20 2004 Joe Orton <jorton@redhat.com> 0.4.2-8
- rebuild

* Fri Nov 28 2003 Joe Orton <jorton@redhat.com> 0.4.2-7
- sync with upstream: use -sock{owner,perms} in dc_client

* Wed Nov 26 2003 Joe Orton <jorton@redhat.com> 0.4.2-6
- set socket owner and permissions in dc_client

* Wed Nov 26 2003 Joe Orton <jorton@redhat.com> 0.4.2-5
- rebuild in new environment

* Tue Nov 18 2003 Joe Orton <jorton@redhat.com> 0.4.2-4
- fix %%preun to allow --erase to succeed (#110115)

* Thu Jul 31 2003 Joe Orton <jorton@redhat.com> 0.4.2-3
- add dc_client init script
- pass -sessions to dc_server

* Wed Jul  2 2003 Joe Orton <jorton@redhat.com> 0.4.2-2
- have dc_server drop to 'nobody' user after bind()
- add init script for dc_server
- build everything using -fPIC

* Mon Jun  9 2003 Joe Orton <jorton@redhat.com> 0.4.2-1
- Initial build.

